#ifndef _VEHICLE_MANAGER_MODULE_H_
#define _VEHICLE_MANAGE_MODULE_H_
#include <flecs.h>
#include <Ogre.h>
namespace ECS
{
struct VehicleManagerModule {
	VehicleManagerModule(flecs::world &ecs);
	flecs::entity
	createVehicleAtPosition(const Ogre::String &name,
				const Ogre::Vector3 &position,
				const Ogre::Quaternion &orientation);
};
}
#endif